Bug 17044 - Wrong destination for 'api' directory
Summary: Wrong destination for 'api' directory
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (command-line installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Keywords:
Depends on: 13799
Blocks: 17030
  Show dependency treegraph
 
Reported: 2016-08-03 17:32 UTC by Tomás Cohen Arazi
Modified: 2017-06-14 22:10 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17044: Fix wrong destination for 'api' directory (2.19 KB, patch)
2016-08-03 17:40 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 17044: Fix wrong destination for 'api' directory (2.25 KB, patch)
2016-08-03 21:25 UTC, Benjamin Rokseth
Details | Diff | Splinter Review
Bug 17044: Fix wrong destination for 'api' directory (2.33 KB, patch)
2016-08-05 14:29 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2016-08-03 17:32:08 UTC
To reproduce:
- Make a standard install (for example in /usr/share/koha
=> FAIL: check /usr/share/koha/api/api exists
- Make a single install (for example in /home/tcohen/koha-single)
=> FAIL: check /home/tcohen/koha-single/api/api exists
Comment 1 Tomás Cohen Arazi 2016-08-03 17:40:44 UTC Comment hidden (obsolete)
Comment 2 Benjamin Rokseth 2016-08-03 21:25:16 UTC Comment hidden (obsolete)
Comment 3 Benjamin Rokseth 2016-08-03 21:26:46 UTC
Good catch Thomas!
Have been scratching my head on this one, and will remove my symlink as soon as this is in master ;)
Comment 4 Tomás Cohen Arazi 2016-08-03 21:28:42 UTC
(In reply to Benjamin Rokseth from comment #3)
> Good catch Thomas!
> Have been scratching my head on this one, and will remove my symlink as soon
> as this is in master ;)

Hehehe.
Comment 5 Jonathan Druart 2016-08-05 14:29:04 UTC
Created attachment 54048 [details] [review]
Bug 17044: Fix wrong destination for 'api' directory

The original Makefile.PL tweak missed to trim the directory name thus
repeating the 'api' directory like in 'api/api'.

To test:
- Make a standard install (for example in /usr/share/koha
=> FAIL: check /usr/share/koha/api/api exists
- Make a single install (for example in /home/tcohen/koha-single)
=> FAIL: check /home/tcohen/koha-single/api/api exists
- Apply the patch
- Make a standard install (for example in /usr/share/koha
=> SUCCESS: check /usr/share/koha/api exists and doesn't contain a nested 'api' dir
- Make a single install (for example in /home/tcohen/koha-single)
=> SUCCESS: check /home/tcohen/koha-single/api exists and doesn't contain a nested 'api' dir
- Sign off :-D

Note: this affects the packages too, as the standard install is used as a basis.
Signed-off-by: Benjamin Rokseth <benjamin.rokseth@kul.oslo.kommune.no>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Brendan Gallagher 2016-08-06 16:37:09 UTC
Pushed to Master - Should be in the November 2016 release.  Thanks!
Comment 7 Frédéric Demians 2016-08-07 07:22:36 UTC
Pushed in 16.05. Will be in 16.05.03.
Comment 8 Julian Maurice 2016-08-17 13:47:57 UTC
Patch pushed to 3.22.x, will be in 3.22.10